package org.eclipse.jdt.internal.compiler.parser;

package .tmp;

import org.eclipse.jdt.internal.compiler.ast.ASTNode;
import org.eclipse.jdt.internal.compiler.ast.ImportReference;
import org.eclipse.jdt.internal.compiler.parser.RecoveredElement;

public class RecoveredImport extends RecoveredElement {
  public ImportReference importReference;
  
  public RecoveredImport(ImportReference importReference, RecoveredElement parent, int bracketBalance) {
    super(parent, bracketBalance);
    this.importReference = importReference;
  }
  
  public ASTNode parseTree() {
    return (ASTNode)this.importReference;
  }
  
  public int sourceEnd() {
    return this.importReference.declarationSourceEnd;
  }
  
  public String toString(int tab) {
    return String.valueOf(tabString(tab)) + "Recovered import: " + this.importReference.toString();
  }
  
  public ImportReference updatedImportReference() {
    return this.importReference;
  }
  
  public void updateParseTree() {
    updatedImportReference();
  }
  
  public void updateSourceEndIfNecessary(int bodyStart, int bodyEnd) {
    if (this.importReference.declarationSourceEnd == 0) {
      this.importReference.declarationSourceEnd = bodyEnd;
      this.importReference.declarationEnd = bodyEnd;
    } 
  }
}
